#!/usr/bin/env python

from pylab import *
from mpl_toolkits.mplot3d import Axes3D
from matplotlib import cm
import sys

bins = tuple(map(int, sys.stdin.readline().split()))
xedges, yedges, counts = loadtxt(sys.stdin, unpack=True, usecols=[0,2,4])
counts = counts.reshape(bins)

plt.rcParams['font.size'] = 30
tight_layout()
suptitle('Angular decay distribution')

#subplot2grid((1, 3), (0, 0), colspan=2, aspect='equal')
xlabel(r'$\phi$ (radians)')
ylabel(r'$\theta$ (radians)')
pcolor(yedges[:bins[1]], xedges[::bins[1]], counts)
norm = colorbar(fraction=0.023, pad=0.04).norm

#ax = subplot2grid((1, 3), (0, 2), projection='3d')
#θ, φ = mgrid[0:pi:bins[0]*1j, 0:2*pi:bins[1]*1j]
#x = 5 * sin(θ) * cos(φ)
#y = 5 * sin(θ) * sin(φ)
#z = 5 * cos(θ)
#ax.plot_surface(
#    x, y, z, rstride=1, cstride=1,
#    facecolors=cm.viridis(norm(counts)))
#axis('off')

show()

